Ubuntu

Touchpad stops responding on HP Dm1-4010us

Reported by Curtis Nelson on 2012-07-19
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

release: 12.04
package: linux-image-3.2.0-23-generic
expected: keyboard/trackpad respond to input
instead: keyboard/trackpad do not respond to input

Recently purchased the HP DM1-4010us. A nice little machine with the AMD E-450.

Unfortunately, it appears there is a bug that is triggered when temperature gets too high after some amount of activity, usually USB access for me. It freezes the built-in keyboard and trackpad. I have to restart or suspend/resume to get them back. Attaching a USB keyboard or mouse works fine. Laptop works normally otherwise. While the temperature doesn't get extreme it does seem that the problem becomes worse once the computer has reached its operating temperature -- around 60C. There are some bug reports out on the Linux bug tracker that link problems with the internal i8042 controller module and the thermal or battery module.

Thus began a series of attempted configurations to resolve the problem.

Different configurations:
I tried numerous distributions. All exhibited the issue to some extent. The difference between distos running a 2.6.32 kernel (Debian) and more recent kernels (3.2) were slight. Both resulting a a frozen keyboard/trackpad after short amount of time and activity.

How to consistently trigger the problem:
    Insert a USB drive, mount drive on /mnt/temp
    dd if=/dev/zero of=/mnt/temp/zero.txt bs=1M count=1000

This isn't the only way -- normal activity will cause it to stop responding -- this just speeds up the process.

On my machine, using dd to generate a bunch of USB disk traffic locks up the keyboard/trackpad immediately. Note that the fn key for wireless and brightness are still working. Also, the operating temperature does effect the time it takes to lockup -- basically it it has come up to operating temperature the lockup will happen with almost no additional activity. But if it been off for a while using dd (above) will cause the freeze.

My notes on troubleshooting so far:
A solution offered on the HP forums notes you can pass the kernel a command to turn off the thermal controls of the kernel and rely on the BIOS instead (add thermal.off=1). This didn't work for me. On distos where thermal, ac, and battery are build as modules, I have removed them and then removed and reload the psamouse module. It brings the keyboard/trackpad back to life for a short period of time and then stops responding again. I've tested this running Fedora 17, Debian Squeeze, Ubuntu 12.04, and the SysRescueCd. Usually from a live USB drive but also from the HD.

I've put it through it's paces and temperature setting don't seem to have any effect. Also, still getting a few odd kernel warnings which I'll pull out here.

...
DMI: Hewlett-Packard HP Pavilion dm1 Notebook PC/3387, BIOS F.14 2/13/2012
...
ACPI: acpi_idle registered with cpuidle
[Firmware Bug]: Invalid critical threshold (0)
thermal LNXTHERM:00: registered as thermal_zone0
ACPI: Thermal Zone [THRM] (64 C)
GHES: HEST is not enabled!
...

It appears the Thermal event is not triggering the freeze -- keyboard and touch pad now freezing regularly even though temp is moderate and reports ok:

Thermal 0: ok, 63.0 degrees C
Thermal 0: trip point 0 switches to mode hot at temperature 100.0 degrees C
Thermal 0: trip point 1 switches to mode passive at temperature 97.0 degrees C

No combination of BIOS setting and thermal.off=1 seems to make any difference. The devices continue to stop responding. I stopped using the install on my hard drive and am now using a live USB version. Doesn't seem to make any difference. Think I need to start with whatever driver is controlling the touch pad/keyboard and work from there.

Trying acpi=off really breaks things -- can't boot of the usb drive. It appears this laptop relies heavily on acpi for normal operation.

Trying psmouse.proto=imps -- still freezes

At this point I noticed that the f12-mapped to wireless and the f2 and f3 key (brightness) work while the keyboard is "frozen". This definitely looks like something going on in kernel/user space -- not hardware breakage. Also, noticed the keyboard and mouse coming back for a couple seconds and then freezing up again though it doesn't happen often and freezes very quickly again. Changing the setting for fn key control in the BIOS, unfortunately, has no effect.

Timing of the freeze definitely temperature related, but at no time does the laptop reach any sort of critical temperature. Stays in the 59-64C range.

More odd behavior -- once the machine locks up, it will lock up again very quickly after the next reboot. Doesn't matter if I shutdown and power the machine off to reboot. If I remove the battery and re-insert it, however, it will reset and it take a while for the lockup to occur again. Then it's back to locking up soon after a soft-reboot. Why would the battery be linked to this behavior? Or perhaps a red herring -- I haven't tested that extensively. This may just be letting the laptop cool of a little. Again -- it never gets too hot but once it reaches operating temperature, the freezes are almost immediately after reboot.

Again booted Ubuntu -- install this time. After keyboard/touchpad froze did a rmmod psmouse. Took a while to register and then flooded terminal with repeated key. Dmesg shows :

atkbd serio0: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.

Can't get keyboard/touchpad restarted without a reboot or suspend/resume. HP FN Keys are working.

Again, looks like some combination of resource collision between something in ACPI and the i8042 kernel space.

Attempted a series of kernel mode setting by themselves and in combination for i8042:

    i8042.nomux
    i8042.notimeout
    i8042.reset
    i8042.dumbkbd

None of these setting resolved the issue.

After a while the freeze happens so quickly that the i8042 module doesn't look like it can initialize the devices. For example tried to pas i8042.reset with no effect:

[ 33.632233] input: PS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input13
[ 33.832101] psmouse serio1: Failed to enable mouse on isa0060/serio1

It's really odd how the devices can freeze and lockup again -- if I knew what was getting released and then causing the lockup I think I could get somewhere. For instance, started with keyboard/trackpad frozen, then it kicks a couple messages (see below) and then the keyboard/trackpad are working again (but freeze again soon after):

[ 36.860195] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input13
[ 37.060096] psmouse serio1: Failed to enable mouse on isa0060/serio1
[ 433.522028] psmouse serio1: Mouse at isa0060/serio1/input0 lost synchronization, throwing 2 bytes away.

another example:

psmouse serio1: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 1 byte away
atkbd serio0: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.

Sometimes after reload and reset it thinks the isa0060/serio1/input0 is a "Generic PS/2" though earlier it's been detecting it as a Synaptic. And it just froze up on me -- switching to USB.

I'm stuck. Let me know if you need any additional information or testing -- though I may just have to send this back to HP and find a laptop that has better Linux support.

Meanwhile in Windows:
The install of Windows seems to work without any issues for the most part but I've now seen it lock up once on a reboot from Linux -- but after waiting a little bit with a frozen keyboard/trackpad it started working normally. It appears the Windows drivers know how to circumvent the problem.

And here is cat /proc/bus/input/device:

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=PNP0C0C/button/input0
S: Sysfs=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0
U: Uniq=
H: Handlers=kbd event0
B: PROP=0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
U: Uniq=
H: Handlers=event1
B: PROP=0
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2
B: PROP=0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0011 Vendor=0001 Product=0001 Version=ab83
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=sysrq kbd event3
B: PROP=0
B: EV=120013
B: KEY=20000 20 0 0 500f02100003 3803078f900d401 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4
U: Uniq=
H: Handlers=kbd event4
B: PROP=0
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0003 Vendor=046d Product=c016 Version=0110
N: Name="Logitech Optical USB Mouse"
P: Phys=usb-0000:00:13.0-2/input0
S: Sysfs=/devices/pci0000:00/0000:00:13.0/usb5/5-2/5-2:1.0/input/input5
U: Uniq=
H: Handlers=mouse0 event5
B: PROP=0
B: EV=17
B: KEY=70000 0 0 0 0
B: REL=103
B: MSC=10

I: Bus=0003 Vendor=05c8 Product=032b Version=0108
N: Name="HP TrueVision HD"
P: Phys=usb-0000:00:12.2-3/button
S: Sysfs=/devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/input/input7
U: Uniq=
H: Handlers=kbd event7
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0019 Vendor=0000 Product=0000 Version=0000
N: Name="HP WMI hotkeys"
P: Phys=wmi/input0
S: Sysfs=/devices/virtual/input/input9
U: Uniq=
H: Handlers=kbd event9
B: PROP=0
B: EV=33
B: KEY=4000000000 0 1000700000000 2100400 0 0
B: MSC=10
B: SW=22

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HD-Audio Generic HDMI/DP,pcm=3"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:01.1/sound/card0/input10
U: Uniq=
H: Handlers=event10
B: PROP=0
B: EV=21
B: SW=140

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA ATI SB Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:14.2/sound/card1/input11
U: Uniq=
H: Handlers=event11
B: PROP=0
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA ATI SB Headphone"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:14.2/sound/card1/input12
U: Uniq=
H: Handlers=event12
B: PROP=0
B: EV=21
B: SW=4

I: Bus=0003 Vendor=413c Product=2003 Version=0110
N: Name="Dell Dell USB Keyboard"
P: Phys=usb-0000:00:13.0-1/input0
S: Sysfs=/devices/pci0000:00/0000:00:13.0/usb5/5-1/5-1:1.0/input/input14
U: Uniq=
H: Handlers=sysrq kbd event8
B: PROP=0
B: EV=120013
B: KEY=1000000000007 ff9f207ac14057ff febeffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input15
U: Uniq=
H: Handlers=mouse1 event6
B: PROP=9
B: EV=b
B: KEY=6420 30000 0 0 0 0
B: ABS=260800011000003
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: SB [HDA ATI SB], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: cnelson 1741 F.... pulseaudio
 /dev/snd/controlC0: cnelson 1741 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'Generic'/'HD-Audio Generic at 0xf0344000 irq 43'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 6
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card1.Amixer.info:
 Card hw:1 'SB'/'HDA ATI SB at 0xf0340000 irq 16'
   Mixer name : 'IDT 92HD87B2/4'
   Components : 'HDA:111d76d9,103c3387,00100107'
   Controls : 16
   Simple ctrls : 9
CurrentDmesg:
 [ 13.089765] r8169 0000:07:00.0: eth0: link up
 [ 13.090596] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
 [ 14.856332] init: bluetooth main process (775) killed by SEGV signal
 [ 14.856403] init: bluetooth main process ended, respawning
 [ 23.256037] eth0: no IPv6 routers present
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=485dc1eb-311b-497b-b2a7-974336c212da
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: Hewlett-Packard HP Pavilion dm1 Notebook PC
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-26-generic root=UUID=2a99ef39-8a09-44b4-b9e9-9894370bcaed ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-26-generic N/A
 linux-backports-modules-3.2.0-26-generic N/A
 linux-firmware 1.79
Tags: precise
Uname: Linux 3.2.0-26-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 2/13/2012
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.14
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 3387
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 36.15
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.14:bd2/13/2012:svnHewlett-Packard:pnHPPaviliondm1NotebookPC:pvr0697100000204600000320100:rvnHewlett-Packard:rn3387:rvr36.15:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion dm1 Notebook PC
dmi.product.version: 0697100000204600000320100
dmi.sys.vendor: Hewlett-Packard

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1026697

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing precise

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

CurtisNelson, thank you for reporting this and helping make Ubuntu better. If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Curtis Nelson (stylebox) wrote :

I was able to install the latest upstream kernel:
Linux corinth 3.5.0-999-generic #201207200406 SMP Fri Jul 20 08:07:29 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Unfortunately, the problem still exists. I will attach updated output from dmesg for the latest kernel as well as a recent one from the latest in 12.04 LTS (3.2.0-26-generic).

I made a few hardware configuration changes from the original post in order to provide a more stable test bed. I reinstalled to the manufacturer provided hard drive -- not using a usb or ssd drive any lnoger. Also, since they didn't seem to help, I'm no longer using fglrx or the broadcom-sta modules. Back to using sing the radeon, bcma, and brcmsmac basically a fresh install. The radeon driver seems to work great. The open wireless drivers don't work very well at all. Very low signal strength. I also updated to the latest firmware (16) for this machine though there wasn't anything in the changelog that indicated it was necessary. Finally, since the latest kernel provides an interface for loading the amd microcode, I downloaded and installed it in /lib/firmware/amd-ucode per the install instructions. Unfortunately, none of these chnges have made a difference.

Thanks for your assistance.

Curtis Nelson (stylebox) wrote :

And here is the latest dmesg from the stock Ubuntu kernel in 12.04 LTS (3.2.0-26-generic).

Curtis Nelson (stylebox) on 2012-07-21
tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing

CurtisNelson, could you please provide the information following https://wiki.ubuntu.com/DebuggingTouchpadDetection#In_case_your_Touchpad_stops_working_after_a_while ?

summary: - keyboard and trackpad stop responding on HP Dm1-4010us
+ Touchpad stops responding on HP Dm1-4010us
Curtis Nelson (stylebox) wrote :

HI Christopher,

In my case, the touchpad (and keyboard) stop working but I can plug in external usb and they work fine.

Here is the info for keyboard and Synaptic TouchPad:

I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input8
U: Uniq=
H: Handlers=mouse0 event8
B: PROP=9
B: EV=b
B: KEY=6420 30000 0 0 0 0
B: ABS=260800011000003

I: Bus=0011 Vendor=0001 Product=0001 Version=ab83
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=sysrq kbd event3
B: PROP=0
B: EV=120013
B: KEY=20000 20 0 0 500f02100003 3803078f900d401 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I will attach the evtest files, but it looked like they didn't produce any output at all from keyboard or touchpad activity once they stop responding.

The diff from the dmesg before and after the keyboard and mouse stop responding is the same -- typically nothing shows up in the message log though every once in a while you can see an error like the ones I mention in the original report. This is an example:

psmouse serio1: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 1 byte away
atkbd serio0: Spurious ACK on isa0060/serio0. Some program might be trying access hardware directly.

But they don't always show -- usually there is no log activity. For instance the keyboardtouchpad have frozen since I started typing this but dmesg is unchanged (except for recognizing the usb keyboard and mouse I plugged in the finish typing).

Curtis Nelson (stylebox) wrote :

After touchpad freezes switch to vt2 and run evtest. No activity.

Curtis Nelson (stylebox) wrote :

Same for keyboard

Curtis Nelson (stylebox) on 2012-07-21
summary: - Touchpad stops responding on HP Dm1-4010us
+ Keyboard and Synpatics TouchPad stop responding on HP Dm1-4010us
summary: - Keyboard and Synpatics TouchPad stop responding on HP Dm1-4010us
+ Keyboard and Synaptic TouchPad stop responding on HP Dm1-4010us

Curtis Nelson, please do not edit the title. We are purposely focusing on just the Touchpad, to simply the report and target one problem. This will help in finding a solution to your keyboard problem.

summary: - Keyboard and Synaptic TouchPad stop responding on HP Dm1-4010us
+ Touchpad stops responding on HP Dm1-4010us
Curtis Nelson (stylebox) wrote :

When I originally reported this bug I was on a new Dm1-1040us. After contacting HP support it seemed best to take advantage of their return policy. They sent me an identical Dm1-1040us. After a week of use I am no longer experiencing the touchpad (and keyboard) lockup issue and cannot reproduce it. If there's anythign else you might need let me know otherwise I would think you could close this bug as caused by faulty hardware.

Curtis Nelson, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1026697/comments/28 regarding this being a hardware issue. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers